extends Node3D

const multiplayer_pc_template = preload("res://templates/multiplayer_pc.tscn")
const camera_template = preload("res://templates/camera.tscn")
@onready var spawner = %Spawner
func _ready() -> void:
	print("LEVEL LOADING, ID: " + str(Multiplayer.id))
	for key in Multiplayer.players.values():
		var pc = multiplayer_pc_template.instantiate()
		pc.setup(key)
		spawner.add_player(pc)
	var camera = camera_template.instantiate()
	add_child(camera)
